const express = require('express');
const router = express.Router();

const reportController = require('../controllers/reportController');
const { authMiddleware } = require('../middleware/authMiddleware');

router.get('/daily', authMiddleware, reportController.dailyReport);
router.get('/weekly', authMiddleware, reportController.weeklyReport);
router.get('/monthly', authMiddleware, reportController.monthlyReport);

module.exports = router;

